メインコンテンツへスキップ
POST
/
crm
/
objects
/
v3
/
deals
/
splits
/
batch
/
upsert
指定されたIDを使用して、取引の取引分割の作成または置換を行います。各取引の取引分割の割合は合計で1.0(100%)にする必要があり、小数点以下は8桁まで指定できます。
curl --request POST \
  --url https://api.hubapi.com/crm/objects/v3/deals/splits/batch/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": 123,
      "splits": [
        {
          "ownerId": 123,
          "percentage": 123
        }
      ]
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/crm/objects/v3/deals/splits/batch/upsert"

payload = { "inputs": [
        {
            "id": 123,
            "splits": [
                {
                    "ownerId": 123,
                    "percentage": 123
                }
            ]
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({inputs: [{id: 123, splits: [{ownerId: 123, percentage: 123}]}]})
};

fetch('https://api.hubapi.com/crm/objects/v3/deals/splits/batch/upsert', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "id": "<string>",
      "splits": [
        {
          "archived": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "properties": {},
          "updatedAt": "2023-11-07T05:31:56Z",
          "archivedAt": "2023-11-07T05:31:56Z",
          "objectWriteTraceId": "<string>",
          "propertiesWithHistory": {},
          "url": "<string>"
        }
      ]
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "id": "<string>",
      "splits": [
        {
          "archived": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "properties": {},
          "updatedAt": "2023-11-07T05:31:56Z",
          "archivedAt": "2023-11-07T05:31:56Z",
          "objectWriteTraceId": "<string>",
          "propertiesWithHistory": {},
          "url": "<string>"
        }
      ]
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
object[]
必須

取引分割の入力の配列

レスポンス

successful operation

completedAt
string<date-time>
必須

バッチ処理が完了した時点を示すタイムスタンプ(日時形式)。

results
object[]
必須

バッチ処理の結果を表す取引ごとの分割オブジェクトの配列。

startedAt
string<date-time>
必須

バッチ処理が始まった時点を示すタイムスタンプ(日時形式)。

status
enum<string>
必須

次の値を取り得る、バッチ処理の現在のステータス:CANCELED、COMPLETE、PENDING、PROCESSING。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

その他のリソースまたはドキュメントの関連付けられたURIへのリンク名の対応付け

requestedAt
string<date-time>

バッチ処理が要求された時点を示すタイムスタンプ(日時形式)。

最終更新日 2026年4月10日